[]=================================================================[]
||                                                                 ||
|| Price of Power Mod  (Dominions II Edition)                      ||
|| ==================                                              ||
||                                                                 ||
|| by Peter von Kleinsmid                                          ||
||                                                                 ||
|| Thanks to Illwinter for an amazing game,                        ||
|| and the mod tools to do things like this!                       ||
||                                                                 ||
[]=================================================================[]

This mod increases the costs and requirements for forging magic items which 
increase magical power, and the most powerful power-increasing spells. 
The changes are simple:

The magical path levels required to forge magic items have been increased 
for the following types of items (cumulative):
* All magic power-boosting items: +1
* All magic items which generate magic gems: +1
* All magic items which summon monsters every month: +1
* All Unique magical items: +1

The requirements for extreme magic-power giving spells are also increased:
* Arcane Nexus's requirements are increased to Astral 9, Blood 9, and 320 pearls.
* The Wish spell's cost increased to 300 pearls.
* Tartarian Gate's requirements are increased to Death 8 and 20 death gems.

The purpose is to increase the difference between nations and pretender 
designs, by making it harder to acquire high levels in all paths of magic. 
It also increases the difficulty of reaching the more powerful magic 
abilities, and of reaching them with many mages, thus prolonging the 
usefulness of lesser magic and of non-magic units, to some degree. 

To install this mod, just place this file and PriceofPowerMod.tga to the
folder named "mods" in your Dominions II folder. Then activate the mod 
using mod options in the Dominions user interface, and start a new game
while the mod is active.

#modname "Price of Power"
#description "This mod increases the costs and requirements for forging magic items which increase magical power."
#icon "./PriceOfPowerMod.tga"
#version 1.03
#domversion 2.16


Magic Boost Items:
==================

"Staff of Elemental Mastery" (Fire and Water)
Not modded because Dom 2 only allows modding by name, and there are two items with the same name.
selectitem 68
mainlevel 5
secondarylevel 5
end

"Staff of Elemental Mastery" (Air and Earth)
Not modded because Dom 2 only allows modding by name, and there are two items with the same name.
selectitem 73
mainlevel 5
secondarylevel 5
end

#selectitem "Skull Staff"
#mainlevel 3
#end

#selectitem "Treelord's Staff"
#mainlevel 6
#end

#selectitem "Blood Thorn"
#mainlevel 5
#end

#selectitem "Thistle Mace"
#mainlevel 3
#end

#selectitem "Armor of Twisting Thorns"
#mainlevel 4
#secondarylevel 3
#end

#selectitem "Flesh Ward"
#mainlevel 6
#end

#selectitem "Robe of the Sea"
#mainlevel 4
#end

#selectitem "Robe of the Magi"
#mainlevel 6
#secondarylevel 6
#end

#selectitem "Earth Boots"
#mainlevel 3
#end

#selectitem "Crystal Shield"
#mainlevel 4
#secondarylevel 3
#end

#selectitem "Skullface"
#mainlevel 5
#end

#selectitem "Flame Helmet"
#mainlevel 5
#end

#selectitem "Winged Helmet"
#mainlevel 5
#end

#selectitem "Starshine Skullcap"
#mainlevel 3
#end

#selectitem "Brazen Vessel"
#mainlevel 5
#end

#selectitem "Skull of Fire"
#mainlevel 2
#secondarylevel 2
#end

#selectitem "Water Bracelet"
#mainlevel 2
#end

#selectitem "Crystal Coin"
#mainlevel 3
#secondarylevel 3
#end

#selectitem "Crystal Matrix"
#mainlevel 2
#secondarylevel 2
#end

#selectitem "Slave Matrix"
#mainlevel 2
#secondarylevel 2
#end

#selectitem "Moonvine Bracelet"
#mainlevel 4
#secondarylevel 2
#end

#selectitem "Bag of Winds"
#mainlevel 5
#end

#selectitem "Ring of Sorcery"
#mainlevel 6
#end

#selectitem "Ring of Wizardry"
#mainlevel 7
#end


Gem-Generating Items:
=====================

#selectitem "Sanguine Dousing Rod"
#mainlevel 2
#end

#selectitem "Clam of Pearls"
#mainlevel 4
#secondarylevel 2
#end

#selectitem "Fever Fetish"
#mainlevel 2
#secondarylevel 2
#end


Gem-Generating & Magic-Boosting Items:
======================================

#selectitem "Blood Stone"
#mainlevel 4
#secondarylevel 3
#end


Monster-Generating Items:
=========================

#selectitem "Soul Contract"
#mainlevel 7
#secondarylevel 2
#end


Unique Magic Items:
===================

#selectitem "O'al Kan's Sceptre"
#mainlevel 3
#end

#selectitem "The Sword of Aurgelmer"
#mainlevel 6
#end

#selectitem "The Summit"
#mainlevel 6
#end

#selectitem "Unquenched Sword"
#mainlevel 7
#end

#selectitem "Tempest"
#mainlevel 6
#end

#selectitem "Hammer of the Forge Lord"
#mainlevel 5
#secondarylevel 4
#end

#selectitem "Hammer of the Cyclops"
#mainlevel 6
#end

#selectitem "Mage Bane"
#mainlevel 7
#end

#selectitem "Woundflame"
#mainlevel 5
#end

#selectitem "The Stone Sword"
#mainlevel 5
#end

#selectitem "Harvest Blade"
#mainlevel 4
#secondarylevel 2
#end

#selectitem "The Oath Rod of Kurgi"
#mainlevel 3
#secondarylevel 3
#end

#selectitem "The Sickle whose Crop is Pain"
#mainlevel 6
#end

#selectitem "Ember"
#mainlevel 3
#secondarylevel 3
#end

"Twin Spear" (Astral and Blood)
Not modded because Dom 2 only allows modding by name, and there are two items with the same name.
selectitem 100
mainlevel 2
secondarylevel 2
end

"Twin Spear" (Astral and Death)
Not modded because Dom 2 only allows modding by name, and there are two items with the same name.
selectitem 101
mainlevel 2
secondarylevel 2
end

#selectitem "Infernal Sword"
#mainlevel 2
#secondarylevel 2
#end

#selectitem "The Tartarian Chains"
#mainlevel 5
#secondarylevel 3
#end

#selectitem "Sceptre of Corruption"
#mainlevel 5
#end

#selectitem "Rod of Death"
#mainlevel 2
#end

#selectitem "The Sharpest Tooth"
#mainlevel 3
#secondarylevel 2
#end

#selectitem "Picus's Axe of Rulership"
#mainlevel 3
#secondarylevel 2
#end

#selectitem "Procas's Axe of Rulership"
#mainlevel 3
#secondarylevel 2
#end

#selectitem "Robe of Calius the Druid"
#mainlevel 3
#end

#selectitem "Armor of Virtue"
#mainlevel 4
#end

#selectitem "Monolith Armor"
#mainlevel 5
#end

#selectitem "Aseftik's Armor"
#mainlevel 5
#end

#selectitem "Fenris' Pelt"
#mainlevel 4
#end

#selectitem "Sandals of the Crane"
#mainlevel 2
#end

#selectitem "The Boots of Calius the Druid"
#mainlevel 4
#end

#selectitem "Boots of the Planes"
#mainlevel 6
#end

#selectitem "Crown of Ptah"
#mainlevel 5
#secondarylevel 6
#end

#selectitem "Gate Stone"
#mainlevel 7
#secondarylevel 7
#end

#selectitem "Bell of Cleansing"
#mainlevel 3
#end

#selectitem "The Ankh"
#mainlevel 6
#end

#selectitem "The Chalice"
#mainlevel 5
#secondarylevel 4
#end

#selectitem "Krupp's Bracers"
#mainlevel 3
#end

#selectitem "Nethgul"
#mainlevel 4
#secondarylevel 3
#end

#selectitem "The Green Eye"
#mainlevel 3
#end

#selectitem "The Magic Lamp"
#mainlevel 5
#secondarylevel 5
#end

#selectitem "The Flying Ship"
#mainlevel 5
#end

#selectitem "The Ark"
#mainlevel 6
#secondarylevel 6
#end

#selectitem "The Horror Harmonica"
#mainlevel 6
#secondarylevel 5
#end

#selectitem "The Gift of Kurgi"
#mainlevel 6
#end

#selectitem "The Black Mirror"
#mainlevel 5
#secondarylevel 3
#end

#selectitem "Carcator the Pocket Lich"
#mainlevel 5
#end

#selectitem "Percival the Pocket Knight"
#mainlevel 3
#secondarylevel 2
#end

#selectitem "Holger the Head"
#mainlevel 2
#secondarylevel 2
#end

#selectitem "Ardmon's Soul Trap"
#mainlevel 4
#secondarylevel 2
#end

#selectitem "Winter Bringer"
#mainlevel 3
#end


Unique Magic Boosting Items (+2 total):
=======================================

#selectitem "Dimensional Rod"
#mainlevel 5
#end

#selectitem "Sword of Justice"
#mainlevel 5
#secondarylevel 5
#end

#selectitem "Trident from Beyond"
#mainlevel 5
#secondarylevel 4
#end

#selectitem "The Sword of Many Colors"
#mainlevel 6
#secondarylevel 5
#end

#selectitem "The Flailing Hands"
#mainlevel 4
#end

#selectitem "Pebble Skin Suit"
#mainlevel 5
#secondarylevel 3
#end

#selectitem "Sword of Injustice"
#mainlevel 6
#end

#selectitem "The Black Book of Secrets"
#mainlevel 4
#secondarylevel 4
#end

#selectitem "Tome of High Power"
#mainlevel 4
#secondarylevel 4
#end

#selectitem "The Tome of Gaia"
#mainlevel 4
#secondarylevel 4
#end

#selectitem "Tome of the Lower Planes"
#mainlevel 5
#secondarylevel 4
#end

#selectitem "Orb of Atlantis"
#mainlevel 6
#secondarylevel 3
#end

#selectitem "Boots of Antaeus"
#mainlevel 6
#secondarylevel 3
#end

#selectitem "The Forbidden Light"
#mainlevel 6
#secondarylevel 6
#end

#selectitem "Sceptre of Dark Regency"
#mainlevel 7
#end

#selectitem "Sun Slayer"
#mainlevel 7
#end

#selectitem "The Jade Mask"
#mainlevel 7
#secondarylevel 4
#end


Unique Monster-Generating Items (+2 total):
===========================================

#selectitem "Crown of the Ivy King"
#mainlevel 4
#end

#selectitem "Soulstone of the Wolves"
#mainlevel 6
#end

#selectitem "Amon Hotep"
#mainlevel 7
#secondarylevel 7
#end


Unique Magic Boosting, Gem-Generating Items (+3 total):
=======================================================

#selectitem "The Ruby Eye"
#mainlevel 6
#end


Spells:
=======

#selectspell "Arcane Nexus"
#fatiguecost 32000
#path 1 7
#pathlevel 0 9
#pathlevel 1 9
#end

#selectspell "Wish"
#fatiguecost 30000
#pathlevel 0 10
#end

#selectspell "Tartarian Gate"
#fatiguecost 2000
#pathlevel 0 8
#end

